Bug 1272132 - kernel: Heap corruption in debug_read_tlb
kernel: Heap corruption in debug_read_tlb
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150723,reported=2...
: Security
Depends On: 1272141
Blocks: 1272140
  Show dependency treegraph
 
Reported: 2015-10-15 10:37 EDT by Adam Mariš
Modified: 2016-05-09 09:03 EDT (History)
32 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 08:36:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-15 10:37:30 EDT
A vulnerability in debug_read_tlb() function was found leading to possible buffer overflow. The debug_read_tlb() uses the sprintf() functions directly on the buffer allocated by buf = kmalloc(count), without taking into account the size of the buffer, with the consequence corrupting the heap, depending on the count requested by the user.

Upstream patch:

https://patchwork.kernel.org/patch/6853351/

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=e203db293863fa15b4b1917d4398fb5bd63c4e88

CVE request:

http://seclists.org/oss-sec/2015/q4/82
Comment 1 Adam Mariš 2015-10-15 10:43:31 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1272141]
Comment 2 Josh Boyer 2015-10-15 12:52:25 EDT
As far as I'm aware, this is only present in the omap-iommu-debug.c file.  That limits it to:

1) 32-bit ARM
2) The omap2plus machine type for 32-bit ARM
3) Only built if the OMAP_IOMMU_DEBUG option is enabled.
Comment 3 Vladis Dronov 2015-12-03 08:36:12 EST
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2 as the code introduced the flaw is not present in these products.

Note You need to log in before you can comment on or make changes to this bug.